import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/job_list_applied_edit_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/job_list_applied_edit_entity.g.dart';

@JsonSerializable()
class JobListAppliedEditEntity {
	@JSONField(name: "applied_id")
	int appliedId = 0;
	@JSONField(name: "member_name")
	String? memberName = null;
	@JSONField(name: "job_unit")
	String? jobUnit = null;
	@JSONField(name: "start_time")
	String? startTime = null;
	@JSONField(name: "end_time")
	String? endTime = null;
	@JSONField(name: "security_in")
	String? securityIn = null;
	@JSONField(name: "security_out")
	String? securityOut = null;
	@JSONField(name: "work_in")
	String? workIn = null;
	@JSONField(name: "work_out")
	String? workOut = null;
	@JSONField(name: "adjust_hours")
	String? adjustHours= null;
	@JSONField(name: "total_rooms")
	int totalRooms = 0;
	@JSONField(name: "reason_list")
	List<JobListAppliedEditReasonList>? reasonList = [];
	@JSONField(name: "reason_type")
	int reasonType = 0;
	@JSONField(name: "co_reason")
	String? coReason = null;

	JobListAppliedEditEntity();

	factory JobListAppliedEditEntity.fromJson(Map<String, dynamic> json) => $JobListAppliedEditEntityFromJson(json);

	Map<String, dynamic> toJson() => $JobListAppliedEditEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class JobListAppliedEditReasonList {
	int value = 0;
	String? txt = null;
	String? checked = null;

	JobListAppliedEditReasonList();

	factory JobListAppliedEditReasonList.fromJson(Map<String, dynamic> json) => $JobListAppliedEditReasonListFromJson(json);

	Map<String, dynamic> toJson() => $JobListAppliedEditReasonListToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}